package com.samelement.iot_notification.screen;

public class IntentKey {
    public static final String EXTRA_VALUE = "value";
    public static final String EXTRA_TITLE = "title";
    public static final String EXTRA_DEVICE = "device";
    public static final String EXTRA_STATE = "state";

    public static final int TIME_OUT = 30000; // 30 s

    // Start without a delay
    // Vibrate for 100 milliseconds
    // Sleep for 1000 milliseconds
    public static final long[] VIBRATE_PATTERN = new long[]{0, 400, 800, 600, 800, 800, 800, 1000};

    public static final String KEY_USER_ACCESS_TOKEN = "user_access_token";
    public static final String KEY_USER_REFRESH_TOKEN = "user_refresh_token";
    public static final String KEY_DEV_ACCESS_TOKEN = "dev_access_token";
    public static final String KEY_DEV_REFRESH_TOKEN = "dev_refresh_token";
    public static final String KEY_MQTT_IDENTIFIER = "mqtt_identifier";
    public static final String KEY_MQTT_BROKER_ADDRESS= "broker_address";
    public static final String KEY_MQTT_BROKER_PROTOCOL= "broker_protocol";
    public static final String KEY_MQTT_BROKER_PORT= "broker_port";
    public static final String KEY_TOKEN_ISSUED_AT = "issued_at";
    public static final String KEY_TOKEN_EXPIRED_AT = "expired_at";
    public static final String KEY_API_HOST = "api_host";
    public static final String KEY_CAFILE= "ca_file";
    public static final String KEY_AUTH = "Authorization";
    public static final String KEY_NOTIF_ID = "NotificationId";
    public static final String KEY_THEME_ID = "ThemeId";
    public static final String KEY_BROADCAST = "BroadcastKey";
    public static final String KEY_NEED_TO_REFRESH = "NeedToRefresh";
    public static final String KEY_API_PARAM = "Api-Key";

    public static final int PARSED_COMPLETED = 1000000;
    public static final String WORKER_FAILED = "workerChainsFailed";
    public static final String APPWIDGET_WORKER_COMPLETED = "appWidgetWorkerCompleted";
    public static final String FILTER_WORKER_COMPLETED = "workerCompleted";
    public static final String FILTER_DEL_ANALYTIC = "deleteAnalytic";
    public static final String FILTER_ADD_DEVICE = "addDevice";
    public static final String FILTER_UPD_DEVICE = "updateDevice";
    public static final String FILTER_DEL_DEVICE = "deleteDevice";


    public static final String POWER_MANAGER_OPENED = "powerManagerOpened";

    public static final String DISMISS_ACTION = "dismissAction";
    public static final String RESTART_ACTION = "restartAction";
}
